Name: celestia
Version: 1.4.1
Release: alt2
License: GPL
Group: Education
Summary: A real-time visual space simulation
URL: http://www.shatters.net/celestia/
Source: %{name}-%{version}.tar.gz
Patch1: celestia-1.4.0-install.patch
Patch2: celestia-1.4.0-desktop-fix.patch
Patch3: celestia-1.4.0-Makefile.patch
Patch4: celestia-1.4.0-compile.patch

# Automatically added by buildreq on Wed Jan 11 2006
BuildRequires: fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libqt3-settings libstdc++-devel xml-utils xorg-x11-devel xorg-x11-mesagl zlib-devel

BuildRequires: libGConf2-devel


%description
Celestia is a free real-time space simulation that
lets you experienceour universe in three dimensions.
Unlike most planetarium software, Celestia does not
confine you to the surface of the Earth. You can
travelthroughout the solar system, to any of over
100,000 stars, or even beyondthe galaxy.

%prep
%setup -q 
%patch1 -p0 
%patch2 -p0 
%patch3 -p1 
%patch4 -p0 
%__aclocal --force
%__automake --foreign
%__autoconf
##%__subst 's,\.la,\.so,' configure


%build
%configure --disable-rpath --with-kde --with-glut=no --with-gtk=no
make

%install
%__mkdir_p  %buildroot{%_bindir,%_datadir,%_desktopdir,%_iconsdir}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export GCONF_SCHEMA_FILE_DIR="%{buildroot}%{_sysconfdir}/gconf/schemas"
make install DESTDIR=%buildroot
##   (?) ,     %buildroot%buildroot
%__rm -f %buildroot%buildroot
find %buildroot%_datadir -name %{name}.desktop -exec rm {} \;
%__install src/celestia/kde/data/%{name}.desktop %buildroot%_desktopdir
%__install src/celestia/gtk/data/%{name}.png %buildroot%_iconsdir
%find_lang %{name}
##(cd %buildroot/%_datadir/apps && symlinks -c .)

%pre
[ ! -d %_datadir/apps/%name ] || %__rm -fr %_datadir/apps/%name

%post
%update_menus
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/celestia.schemas &>/dev/null || :

%preun
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/celestia.schemas &>/dev/null || :

%postun
%clean_menus

%files -f %{name}.lang
%_bindir/*
%_datadir/apps/*
%_datadir/applnk/*
%_datadir/config/*
## %_datadir/locale/*
%_datadir/mimelnk/*
%_datadir/services/*
%_datadir/%{name}
%_iconsdir/%{name}.png
%_desktopdir/%{name}.desktop
## %%_menudir/*
## %_iconsdir/hicolor/*
## %_iconsdir/*/*/*/*.png
## %_defaultdocdir/HTML/en/* 
%doc ChangeLog TODO TRANSLATORS README NEWS 


%changelog
* Mon May 15 2006 Eugene V. Horohorin <genix@altlinux.ru> 1.4.1-alt2
- fix compile woth gcc4.1 (patch from fedoraproject.org)

* Sat Mar 25 2006 Eugene V. Horohorin <genix@altlinux.ru> 1.4.1-alt1
- 1.4.1

* Sun Mar 12 2006 Eugene V. Horohorin <genix@altlinux.ru> 1.4.0-alt2
- fixed build with LDFLAGS="-Wl,--as-needed"
- removed .la->.so replacement
- fixed update from previous versions (thanks to shrek@)

* Sat Feb 18 2006 Eugene V. Horohorin <genix@altlinux.ru> 1.4.0-alt1
- new version (1.4.0)
- rebuild with new xorg (#8813)
- menu-file replaced with celestia.desktop
- installation fix (/usr/share/apps/celestia -> /usr/share/celestia)

* Tue Jan 18 2005 Eugene V. Horohorin <genix@altlinux.ru> 1.3.2-alt2
- this build make more gcc3.4 compatible

* Wed Sep 22 2004 Eugene V. Horohorin <genix@altlinux.org> 1.3.2-alt1
- new version

* Wed Jun 23 2004 Eugene V. Horohorin <genix@altlinux.ru> 1.3.1-alt2
- spec clean up

* Sat May 08 2004 Eugene V. Horohorin <genix@altlinux.ru> 1.3.1-alt1
- First build.

